#
# spec file for package openwsman (Version 1.2.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib curl-ca-bundle cvs diffutils file filesystem fillup findutils gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libcurl-devel libcurl4 libdb-4_5 libgcc42 libgomp42 libidn libidn-devel libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libreadline5 libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-devel pam-modules patch perl perl-base permissions pkg-config popt rpm sblim-sfcc sblim-sfcc-devel sed sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           openwsman
BuildRequires:  gcc-c++ libxml2-devel pam-devel pkgconfig sblim-sfcc-devel
%if 0%{?suse_version} > 1020
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif
PreReq:         sed coreutils grep /bin/hostname
Version:        1.2.0
Release:        14.4
Url:            http://www.openwsman.org/
License:        BSD 3-Clause
Group:          System/Management
Summary:        Opensource Implementation of WS-Management
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}.pam
Patch0:         %{name}-%{version}-remote_fs.patch
Patch1:         %{name}-server-%{version}-pam-auth.patch
Patch2:         %{name}-%{version}-devel.patch
Patch3:         %{name}-client-%{version}-get_auth.patch
Patch4:         %{name}-%{version}-CVE-2008-2097.patch
Patch5:         %{name}-%{version}-audit-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Opensource Implementation of WS-Management



Authors:
--------
    Anas Nashif <anas.nashif@intel.com>
    Vadim Revyakin <vadim.revyakin@intel.com>
    Denis Sadykov <denis.sadykov@intel.com>

%debug_package
%package devel
License:        BSD 3-Clause
Group:          Development/Libraries/C and C++
Summary:        Opensource Implementation of WS-Management
Requires:       %{name} = %{version}
Requires:       %{name}-server = %{version}
Requires:       %{name}-client = %{version}
Requires:       sblim-sfcc-devel libxml2-devel pam-devel
%if 0%{?suse_version} > 1020
Requires:       libcurl-devel
%else
Requires:       curl-devel
%endif

%description devel
Opensource Implementation of WS-Management



Authors:
--------
    Anas Nashif <anas.nashif@intel.com>
    Vadim Revyakin <vadim.revyakin@intel.com>
    Denis Sadykov <denis.sadykov@intel.com>

%package client
License:        BSD 3-Clause
Group:          System/Management
Summary:        Openwsman Client libraries

%description client
Openwsman Client libraries



Authors:
--------
    Anas Nashif <anas.nashif@intel.com>
    Vadim Revyakin <vadim.revyakin@intel.com>
    Denis Sadykov <denis.sadykov@intel.com>

%package server
License:        BSD 3-Clause
Group:          System/Management
Summary:        Openwsman Server and service libraries

%description server
Openwsman Server and service libraries



Authors:
--------
    Anas Nashif <anas.nashif@intel.com>
    Vadim Revyakin <vadim.revyakin@intel.com>
    Denis Sadykov <denis.sadykov@intel.com>

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5

%build
autoreconf -f -i
%configure \
    --disable-more-warnings
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -m 644 etc/openwsman.conf $RPM_BUILD_ROOT%{_sysconfdir}/openwsman
install -m 644 etc/ssleay.cnf $RPM_BUILD_ROOT%{_sysconfdir}/openwsman
install -m 755 etc/init/wsmand.sh $RPM_BUILD_ROOT%{_sysconfdir}/init.d/wsmand
install -m 644 %{S:1} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/openwsman
ln -sf %{_sysconfdir}/init.d/wsmand $RPM_BUILD_ROOT%{_sbindir}/rcwsmand

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post server
/sbin/ldconfig
%{fillup_and_insserv wsmand}

%preun server
%{stop_on_removal wsmand}

%postun server
%{insserv_cleanup wsmand}
rm -f /var/log/wsmand.log
/sbin/ldconfig

%post client
/sbin/ldconfig

%postun client
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/libwsman.so.*
%{_libdir}/libwsman_utils.so.*
%dir %{_libdir}/openwsman

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/openwsman/authenticators/*.a
%{_libdir}/openwsman/authenticators/*.la
%{_libdir}/openwsman/plugins/*.a
%{_libdir}/openwsman/plugins/*.la
%{_libdir}/libwsmanCimIfc*.a
%{_libdir}/libwsmanCimIfc*.la
%{_libdir}/libwsmanCimIfc*.so

%files server
%defattr(-,root,root)
%dir %{_sysconfdir}/openwsman
%config(noreplace) %{_sysconfdir}/openwsman/openwsman.conf
%config(noreplace) %{_sysconfdir}/openwsman/ssleay.cnf
%{_sysconfdir}/openwsman/owsmangencert.sh
%config %{_sysconfdir}/pam.d/openwsman
%attr(0755,root,root) %{_sysconfdir}/init.d/wsmand
%dir %{_libdir}/openwsman/authenticators
%{_libdir}/openwsman/authenticators/*.so
%{_libdir}/openwsman/authenticators/*.so.*
%dir %{_libdir}/openwsman/plugins
%{_libdir}/openwsman/plugins/*.so
%{_libdir}/openwsman/plugins/*.so.*
%{_sbindir}/wsmand
%{_sbindir}/rcwsmand
%{_libdir}/libwsmanCimIfc.so.*
%{_libdir}/libwsman_server.so.*

%files client
%defattr(-,root,root)
%{_libdir}/libwsman_client.so.*
%{_libdir}/libwsman_clientpp.so.*
%{_libdir}/libwsman_curl_client_transport.so.*

%changelog
* Wed Aug 13 2008 - prusnak@suse.cz
- fixed remote exploitable buffer overflow and SSL session replay
  (audit-fix.patch) [bnc#373693]
* Tue May 13 2008 - prusnak@suse.cz
- fixed CVE-2008-2097 (CVE-2008-2097.patch) [bnc#388567]
* Fri Aug 03 2007 - kkaempf@suse.de
- update to 1.2.0
- default to pam authentication in openwsman-server
- fix filelist (include .so files for plugin loading)
- fix %%preun for base package
- remove wsmand.log when deleting openwsman-server
- fix -devel dependencies
- add wsman_transport_get_auth_method() definition
* Tue Jul 24 2007 - prusnak@suse.cz
- branch packages -server and -client
- replaced obsoleted macro %%run_ldconfig with direct call of ldconfig
- added $remote_fs to Required-Start in init file (remote_fs.patch)
* Fri Jul 13 2007 - prusnak@suse.cz
- created package (version 1.1.0)
- based on BuildService package openwsman in home:nashif
